
QGIS Application - Bug report #1766

Installer skips all files and completes without installing anything

2009-07-10 08:33 PM - arvydar -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 11826

Description

I have tried several times to install the Windows version of QGIS on a Windows Vista partition of a Macbook running bootcamp that

already has QGIS Mac version installed on the mac partition.  Windows sees the Windows partition as the "C:" drive and selects "Program

Files" as the install directory. The installation appears to go normally untill it shows "Skipped: " and scrolls past all the files before saying

"Quantum GIS 1.0.2 has been installed on your computer"

History

#1 - 2009-07-11 12:41 AM - Giovanni Manghi

I already seen this behaviour when trying to install on Vista on colleagues pc. If I'm not wrong you have to execute the installer as admin/with admin

authorization (or something like that, I don't use nor own Vista).

Please give it a try and report back.

#2 - 2009-07-13 04:50 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Open to Closed

As supposed you need to run the installer with admin privileges:

right click on the file -> properties -> compatibility -> run this program as administrator

#3 - 2009-07-13 07:09 AM - arvydar -

I only have one account on my Vista partition and it is an administrator account.  I did manage to get QGIS installed later using the online installer, so all is

good now.

#4 - 2009-07-13 07:13 AM - Giovanni Manghi

Replying to [comment:3 arvydar]:

I only have one account on my Vista partition and it is an administrator account.

I guess that this doesn't count much: there are still a bunch of applications you need to do the
right click on the file -> properties -> compatibility -> run this program as administrator

in order to be able to install them on Vista.
